commit:     b9009234f6b4b3f1cd4981d7fd2dda094f996880
Author:     Joe Kappus <joe <AT> wt <DOT> gd>
AuthorDate: Fri Jul 29 07:01:14 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 03:07:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9009234

net-nntp/sabnzbd: add 3.6.0

Signed-off-by: Joe Kappus <joe <AT> wt.gd>
Closes: https://github.com/gentoo/gentoo/pull/26645
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-nntp/sabnzbd/Manifest             |   1 +
 net-nntp/sabnzbd/sabnzbd-3.6.0.ebuild | 122 ++++++++++++++++++++++++++++++++++
 2 files changed, 123 insertions(+)

diff --git a/net-nntp/sabnzbd/Manifest b/net-nntp/sabnzbd/Manifest
index 39ba5fa3a018..53af772a1ea6 100644
--- a/net-nntp/sabnzbd/Manifest
+++ b/net-nntp/sabnzbd/Manifest
@@ -1,3 +1,4 @@
 DIST SABnzbd-3.3.1-src.tar.gz 2786705 BLAKE2B 
1ce58c2fd51304395402e2ad4379556e9f1a1471d524d1b3b969b9b201edf15dece1f12d9891695e9dbb02664014c2540ed9fce02b4418fc3100cd3bb2717983
 SHA512 
0ab7001935f19c8e1829051949965977b895456b83ee26b6379fd9c7024d114d5bdd0701d747c8935bb46a829d46379e4406012007a9039c43fb99e4db3ee920
 DIST SABnzbd-3.4.1-src.tar.gz 2978066 BLAKE2B 
d7fc9df71ccf0ee8d9282fb7ec7a088e5f9d4cf99f07d120a1e89ae18f1f3c5e34bd4717bdb79dd097f219021e10c56150b95faf6a43bc896060c1249f63dcaf
 SHA512 
befc5d26860702d0a0b945e0fde35244869e2a766ae6819aafd642bad0897ff439830b5c72f914c139c3f8bfad7fccd9bced9bced8db6349a341f9c3be302fe8
 DIST SABnzbd-3.4.2-src.tar.gz 2979084 BLAKE2B 
2e75212226221c283e46533c46dd6eb3f880d636d73d8e3620650068d9ad67f3f1f55a9a418cdc74876f7e12a37c94a3dbcd79112f46fd322301d93bfbdf9063
 SHA512 
d34a59540c9bb371de912dd0501b3e6dfa392da4d833cfcaf3b550bd11342439a2b64b2205207cd0d0a9c3947cdd1b43ca90d41b130d21e28cede5bf362fd5ae
+DIST SABnzbd-3.6.0-src.tar.gz 5052873 BLAKE2B 
41b6fb818e9bcf40bedd16e9b2a0d5b2590cdbef8a29187f0e995d11d036c60364ed6f297eb6c2bb3f257040ef66b9bd26bc8464b9af2adfac3922f4817918a6
 SHA512 
277953a10211b72532ef4c490cc77516ad4691e15f55bbc08572edba8fc4154ddde5d6bd62ea79c2279dad571038cab25194d6764bf1377dda25d522a5838a92

diff --git a/net-nntp/sabnzbd/sabnzbd-3.6.0.ebuild 
b/net-nntp/sabnzbd/sabnzbd-3.6.0.ebuild
new file mode 100644
index 000000000000..ba2ec5410139
--- /dev/null
+++ b/net-nntp/sabnzbd/sabnzbd-3.6.0.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit python-single-r1 systemd
+
+MY_PV="${PV/_rc/RC}"
+MY_PV="${MY_PV//_pre*}"
+
+MY_P="${PN/sab/SAB}-${MY_PV}"
+
+DESCRIPTION="Binary newsgrabber with web-interface"
+HOMEPAGE="https://sabnzbd.org/";
+SRC_URI="https://github.com/sabnzbd/sabnzbd/releases/download/${MY_PV}/${MY_P}-src.tar.gz";
+
+# Sabnzbd is GPL-2 but bundles software with the following licenses.
+LICENSE="GPL-2 BSD LGPL-2 MIT BSD-1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+7za +rar unzip"
+
+# Sabnzbd is installed to /usr/share/ as upstream makes it clear they should 
not
+# be in python's sitedir.  See: 
https://sabnzbd.org/wiki/advanced/unix-packaging
+
+COMMON_DEPS="
+       acct-user/sabnzbd
+       acct-group/sabnzbd
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep '
+               dev-python/chardet[${PYTHON_USEDEP}]
+               dev-python/cheetah3[${PYTHON_USEDEP}]
+               dev-python/cherrypy[${PYTHON_USEDEP}]
+               dev-python/configobj[${PYTHON_USEDEP}]
+               dev-python/cryptography[${PYTHON_USEDEP}]
+               >=dev-python/feedparser-6.0.10[${PYTHON_USEDEP}]
+               >=dev-python/guessit-3.1.0[${PYTHON_USEDEP}]
+               dev-python/notify2[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/puremagic[${PYTHON_USEDEP}]
+               >=dev-python/sabyenc-5.4.2[${PYTHON_USEDEP}]
+       ')
+"
+
+DEPEND="${COMMON_DEPS}"
+
+RDEPEND="
+       ${COMMON_DEPS}
+       >=app-arch/par2cmdline-0.4
+       net-misc/wget
+       7za? ( app-arch/p7zip )
+       rar? ( || ( app-arch/unrar app-arch/rar ) )
+       unzip? ( >=app-arch/unzip-5.5.2 )
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+       MY_HOMEDIR="/var/lib/${PN}"
+       python-single-r1_pkg_setup
+}
+
+src_install() {
+       local d
+
+       for d in email icons interfaces locale po sabnzbd scripts tools; do
+               insinto "/usr/share/${PN}/${d}"
+               doins -r ${d}/*
+       done
+
+       exeinto "/usr/share/${PN}"
+       doexe SABnzbd.py
+
+       python_fix_shebang "${ED}/usr/share/${PN}"
+       python_optimize "${ED}/usr/share/${PN}"
+
+       newinitd "${FILESDIR}/${PN}-r1.initd" "${PN}"
+       newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+
+       diropts -o "${PN}" -g "${PN}"
+       dodir "/etc/${PN}"
+       keepdir "/var/log/${PN}"
+
+       insinto "/etc/${PN}"
+       insopts -m 0600 -o "${PN}" -g "${PN}"
+       newins "${FILESDIR}"/${PN}-r1.ini ${PN}.ini
+
+       dodoc ISSUES.txt README.mkd
+
+       systemd_newunit "${FILESDIR}"/sabnzbd_at.service '[email protected]'
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               # This is a new installation
+               einfo "Default directory: ${MY_HOMEDIR}"
+               einfo
+               einfo "To add a user to the sabnzbd group so it can edit 
SABnzbd+ files, run:"
+               einfo
+               einfo "    usermod -a -G sabnzbd <user>"
+               einfo
+               einfo "By default, SABnzbd will listen on TCP port 8080."
+       else
+               local v
+               for v in ${REPLACING_VERSIONS}; do
+                       if ver_test "${v}" -lt 3; then
+                               ewarn
+                               ewarn "Due to changes in this release, the 
queue will be converted when ${PN}"
+                               ewarn "is started for the first time. Job 
order, settings and data will be"
+                               ewarn "preserved, but all jobs will be unpaused 
and URLs that did not finish"
+                               ewarn "fetching before the upgrade will be 
lost!"
+                               ewarn
+                               break
+                       fi
+               done
+       fi
+}

Reply via email to